Subject: Re: bug#22434: 25.0.50; recentf pastes X clipboard upon opening

From: Benjamin Riefenstahl <[email-masked]>
Date: Sun, 22 May 2016 22:02:10 +0200

Benjamin Riefenstahl writes:
> I also see now that bug #23288 had a solution, but it does not work for
> me in this case.  It depends on mouse-on-link-p to return a string or a
> vector, but what I get at this point is just t.  Inside mouse-on-link-p
> the first branch of the cond is taken, because the follow-link property
> is 'mouse-face.

I can make it work with the patch from #23288, when I also add this
change to trigger the new code:

diff --git a/lisp/recentf.el b/lisp/recentf.el
index df7f3e2..f241cd4 100644
--- a/lisp/recentf.el
+++ b/lisp/recentf.el
@@ -1187,6 +1187,7 @@ recentf-open-files-item
            :format "%[%t\n%]"
            :help-echo ,(concat "Open " (cdr menu-element))
            :action recentf-open-files-action
+           :follow-link [ignore]
            ,(cdr menu-element))))
 
 (defun recentf-open-files-items (files)